# -*- coding: cp1252 -*-
import numpy as np
import matplotlib.pyplot as plt
from os import mkdir, listdir
from matplotlib.widgets import  RectangleSelector
from matplotlib.widgets import Button
from matplotlib.widgets import Slider
from mpl_toolkits.mplot3d import Axes3D
from numpy.random import rand
from PIL import Image
import shutil
import os
from pylab import *
from decimal import *
from scipy import ndimage
import mayavi.mlab as ml
import matplotlib.animation as animation

def sscale(matrix,venc,slope):
    matrix=venc*(matrix)-slope
    d=ravel(matrix)
    dd=where(abs(d)==slope)
    for el in dd[0]:
	d[el]=0.0
    matrix=reshape(d,shape(matrix))
    return -matrix

def cross_corr(matrix,v_r):
    x=shape(matrix)[0]
    y=shape(matrix)[1]
    t=shape(matrix)[2]
    Pxy=zeros((x,y),float)
    F1xy=zeros((t),float)
    F2xy=zeros((x,y,t),float)
    F1xy=v_r-mean(v_r)
    for i in xrange(x):
        for j in xrange(y):
            for z in xrange(t):
               F2xy[i,j,z]=matrix[i,j,z]-mean(matrix[i,j,:])
    Nxy=F1xy*F2xy
    for i in xrange(x):
        for j in xrange(y):
            Pxy[i,j]=sum(Nxy[i,j,:])/sqrt(sum(pow(F1xy,2))*sum(F2xy[i,j,:]**2))
    return Pxy

def morpho(matrix):
	
    F=ndimage.binary_opening(matrix)
    f1=ndimage.binary_fill_holes(F)
    f2=ndimage.binary_erosion(f1)
    f3=ndimage.binary_dilation(f2)
    out=zeros_like(matrix)
    out=where(f3==True,matrix,0)
    return out