# -*- coding: cp1252 -*-
import time
from libImage import *
import os
import numpy as np
import matplotlib.pyplot as plt
from matplotlib.widgets import Button
from matplotlib.image import AxesImage
from mpl_toolkits.mplot3d import axes3d

if __name__=='__main__':
	data_txt='data.txt'
	data_dat='data.new'
	print 'Loading data: '
	t1=time.clock()
	matrix,dataInfo=load_data(data_txt,data_dat)
	print 'Loading time: ', time.clock()-t1,'s'		
	print 'Data Info', dataInfo
	print 'Matrix shape', matrix.shape
	#Select a Slice of 3D matrix
	w_matrix=matrix[:,:,0,:]
	w_matrix=sscale(w_matrix,dataInfo['slope'],dataInfo['venc'] )
    #Select reference time instant
	i=FrameIndex (w_matrix,dataInfo)
	index=i.run()
	print 'Selected frame ',index
	r=RectangularSelection(w_matrix,index)
	coord=r.run()
	p=SelectPixel(w_matrix,coord,index)
	pixel=p.run()
	print 'Reference pixel', pixel
	sub_matrix=w_matrix[coord[0]:coord[1],coord[2]:coord[3],:]
	cc=cross_corr(sub_matrix,sub_matrix[pixel[0],pixel[1],:])
	t=TreshHold(sub_matrix,pixel,cc)
	tr=t.run()
	matrix_masked=mask(sub_matrix,tr,cc)
	matrix_morpho=morpho(matrix_masked)
	ShowSegmentation(sub_matrix,matrix_masked,matrix_morpho,index)
	Image3d(matrix_morpho,index)
	a=Animation3d(matrix_morpho)
    
			
