from matplotlib import pyplot as plt
import numpy as np

from datetime import datetime

import os, calendar

event_types=['Rain','Thunderstorm','Snow','Fog']
num_ev=len(event_types)

def date2int (date_str):
    date=datetime.strptime(date_str,'%Y-%m-%d')
    return date.toordinal()

def read_data(filename):
    typeT=np.dtype([('timestamp',np.int),('max temp',np.float),('mean temp',np.float),
                    ('min temp',np.float),('event','S10')])
    data=np.loadtxt(filename,delimiter=',',skiprows=1,dtype=typeT,usecols=(0,1,2,3,21),converters={0:date2int})


read_data(os.path.join('data', 'weather.csv'))
